COMPILE_ET(1)

NAME
compile_et - Produce error text tables for compilation

SYNOPSIS
compile_et [-debug] << [-language <lang] >>>
    << [-prefix <prefix] >>> [-v <version>] <error_table>

DESCRIPTION
The compile_et command builds the error text tables for compilation. This includes both a header file that contains a set of mappings between error names and values and a .c (or .msf) file that provides a text table of descriptions.

The <error_table> argument specifies which error table to generate. The error table specification should exist in the current working directory or in the directory specified with -prefix and should be named error_table.et.

CAUTIONS
This command is used internally within the build process for OpenAFS. Most users will access this information via the translate_et(1) manpage rather than via compile_et.

This command does not use the standard AFS command-line parsing package.

OPTIONS
Does nothing. It neither adds debugging information to the output nor provides additional information on its operation. Specifies the type of output to generate. Currently, only ANSI C and K&R are supported values (via the c and k&r-c values, respectively). The default is ANSI C. There is some support for C++ started, but that is not yet supported. Specifies the directory to search for the error_table.et file. Specified the type of output file: valid values are 1 (the default, for C files) or 2, for .msf file generation.

EXAMPLES
The following command generates the files pterror.h and pterror.c, suitable for use with C programs:

   % compile_et -p path/to/src/ptserver pterror
The following command generates K&R style files instead:

   % compile_et -p path/to/src/ptserver -lang 'k&r-c' pterror

SEE ALSO
the translate_et(1) manpage

COPYRIGHT
Copyright 2009 Steven Jenkins <steven@endpoint.com>

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Steven Jenkins for OpenAFS.